AgentsAssets
Ingest a Google Drive file as an asset
Path Parameters
agent*string
The unique identifier of the agent
tenant*string
The tenant identifier
Google Drive ingestion parameters
fileId*string
Google Drive file ID to ingest
Length
1 <= lengthrefreshToken*string
OAuth2 refresh token for Google Drive access
Length
1 <= lengthmodelKey?string|null
Embedding model key. If omitted, the agent's default model is used.
name?string|null
Asset display name. Defaults to the Drive file name if omitted
[key: string]?never
Response Body
curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:gdrive" \ -H "Content-Type: application/json" \ -d '{ "fileId": "string", "refreshToken": "string" }'{
"id": "00000000-0000-0000-0000-000000000000",
"agentId": "string",
"name": "string",
"status": 0,
"documentCount": 0,
"createdAt": 0,
"modifiedAt": 0,
"processedAt": 0,
"errorMessage": "string"
}Empty
Empty